org.bdgenomics.adam.models

# Attribute

#### case class Attribute(tag: String, tagType: TagType.Value, value: Any) extends Product with Serializable

A wrapper around the attrTuple (key) and value pair seen in many formats.

Includes the attrTuple-type explicitly, rather than embedding the corresponding information in the type of 'value', because otherwise it'd be difficult to extract the correct type for Byte and NumericSequence values.

This class is roughly analogous to htsjdk's SAMTagAndValue.

tag

  The string key associated with this pair.

tagType

  An enumerated value representing the type of the 'value' parameter.

value

  The 'value' half of the pair.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Attribute
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Attribute(tag: String, tagType: TagType.Value, value: Any)

   tag

     The string key associated with this pair.

   tagType

     An enumerated value representing the type of the 'value' parameter.

   value

     The 'value' half of the pair.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### val tag: String

    The string key associated with this pair.

17. #### val tagType: TagType.Value

    An enumerated value representing the type of the 'value' parameter.

18. #### def toString(): String

    Definition Classes
      Attribute → AnyRef → Any

19. #### val value: Any

    The 'value' half of the pair.

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped